F7 general question about livecd-creator and timezones
by Skunk Worx
My ks scripts have the timezone set to PDT (America/Los_Angeles).
Installation to a hard drive works as expected. PDT in startup and in
shells, etc.
Creating a livecd-creator iso with the same tz setting, then booting,
shows A/L_A in the /etc/sysconfig/clock file, as expected.
However the date is always EDT in the boot messages, shells, etc.
During startup I see :
(lvm)
Press I to enter interactive startup
Setting clock (utc) Mon Jun 4 00:12:59 EDT 2007
(udev)
I'm not clear on what is happening between lvm and udev in the Linux
startup sequence.
If someone could give me a hint about what to look for and where to look
for it I would appreciate the help.
---
John
14 years, 7 months
Cannot create livecd from local repo
by Joshua C.
I cannot create a livecd image from a local repo. I have
livecd-creator and all the ks files. I've downloaded all necessary
files to a local dir (just copied them from previous downloaded cache)
and then run createrepo on it. Then I edited the ks file with "repo
--name=jdfhjdsfh --baseurl=file:///mnt/path to repodata". When
starting livecd-creator it says "retrieving file=///mnt/dsfgsdhfshf
...OK", then it retrieves the repofiles for the other repos and starts
downloading all the files again regardless of the fact that I've
already downloaded them.
How to make livecd-creator see the already downloaded files instead of
downloading them twice?
14 years, 7 months
2 commits - imgcreate/kickstart.py tools/livecd-iso-to-disk.sh
by Jeremy Katz
imgcreate/kickstart.py | 18 +++++++++++-------
tools/livecd-iso-to-disk.sh | 21 +++++++++++++++++----
2 files changed, 28 insertions(+), 11 deletions(-)
New commits:
commit d9880bf3823b21421f4916d64648a990a7392ecb
Author: Jeremy Katz <katzj(a)redhat.com>
Date: Tue Mar 31 14:12:00 2009 -0400
Support the rest of the firewall args for kickstart configs
Support trusteddevs, services and ports in the firewall line
diff --git a/imgcreate/kickstart.py b/imgcreate/kickstart.py
index 253d349..5afe8f9 100644
--- a/imgcreate/kickstart.py
+++ b/imgcreate/kickstart.py
@@ -172,18 +172,22 @@ class AuthConfig(KickstartConfig):
class FirewallConfig(KickstartConfig):
"""A class to apply a kickstart firewall configuration to a system."""
def apply(self, ksfirewall):
- #
- # FIXME: should handle the rest of the options
- #
if not os.path.exists(self.path("/usr/sbin/lokkit")):
return
+ args = ["/usr/sbin/lokkit", "-f", "--quiet", "--nostart"]
if ksfirewall.enabled:
- status = "--enabled"
+ args.append("--enabled")
+
+ for port in ksfirewall.ports:
+ args.append("--port=%s" %(port,))
+ for svc in ksfirewall.services:
+ args.append("--service=%s" %(svc,))
+ for dev in ksfirewall.trusts:
+ args.append("--trust=%s" %(dev,))
else:
- status = "--disabled"
+ args.append("--disabled")
- self.call(["/usr/sbin/lokkit",
- "-f", "--quiet", "--nostart", status])
+ self.call(args)
class RootPasswordConfig(KickstartConfig):
"""A class to apply a kickstart root password configuration to a system."""
commit b9e8cc6bf67ed6e4202453ffb6ae6a7149a100ab
Author: Alexander Boström <abo(a)stacken.kth.se>
Date: Fri Mar 27 22:00:20 2009 +0100
Handle the case when the kernel can't mount squashfs.img (probably a mksquashfs/running kernel mismatch).
diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 96869c7..daadc3d 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -191,6 +191,11 @@ checkGPT() {
partinfo=$(/sbin/parted --script -m $device "print" |grep ^$partnum:)
volname=$(echo $partinfo |cut -d : -f 6)
flags=$(echo $partinfo |cut -d : -f 7)
+ if [ "$volname" != "EFI System Partition" ]; then
+ echo "Partition name must be 'EFI System Partition'"
+ echo "This can be set in parted or you can run with --reset-mbr"
+ exitclean
+ fi
if [ "$(echo $flags |grep -c boot)" = "0" ]; then
echo "Partition isn't marked bootable!"
echo "You can mark the partition as bootable with "
@@ -457,9 +462,17 @@ else
fi
livesize=$(du -s -B 1M $check | awk {'print $1;'})
if [ -n "$skipcompress" ]; then
- mount -o loop $CDMNT/LiveOS/squashfs.img $CDMNT
- livesize=$(du -s -B 1M $CDMNT/LiveOS/ext3fs.img | awk {'print $1;'})
- umount $CDMNT
+ if [ -e $CDMNT/LiveOS/squashfs.img ]; then
+ if mount -o loop $CDMNT/LiveOS/squashfs.img $CDMNT; then
+ livesize=$(du -s -B 1M $CDMNT/LiveOS/ext3fs.img | awk {'print $1;'})
+ umount $CDMNT
+ else
+ echo "WARNING: --skipcompress or --xo was specified but the currently"
+ echo "running kernel can not mount the squashfs from the ISO file to extract"
+ echo "it. The compressed squashfs will be copied to the USB stick."
+ skipcompress=""
+ fi
+ fi
fi
free=$(df -B1M $USBDEV |tail -n 1 |awk {'print $4;'})
@@ -500,7 +513,7 @@ if [ -z "$skipcopy" ];then
[ ! -d $USBMNT/$LIVEOS ] && mkdir $USBMNT/$LIVEOS
[ -n "$keephome" -a -f "$USBMNT/$HOMEFILE" ] && mv $USBMNT/$HOMEFILE $USBMNT/$LIVEOS/$HOMEFILE
if [ -n "$skipcompress" -a -f $CDMNT/LiveOS/squashfs.img ]; then
- mount -o loop $CDMNT/LiveOS/squashfs.img $CDMNT
+ mount -o loop $CDMNT/LiveOS/squashfs.img $CDMNT || exitclean
cp $CDMNT/LiveOS/ext3fs.img $USBMNT/$LIVEOS/ext3fs.img || (umount $CDMNT ; exitclean)
umount $CDMNT
elif [ -f $CDMNT/LiveOS/squashfs.img ]; then
14 years, 8 months
tools/livecd-iso-to-disk.sh
by Jeremy Katz
tools/livecd-iso-to-disk.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
New commits:
commit 80dddee3c642848e36a4ae19a27f0e1734e16489
Author: Jeremy Katz <katzj(a)redhat.com>
Date: Mon Mar 30 11:44:12 2009 -0400
Fix unterminated sed command (#492376)
diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 8702936..96869c7 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -596,7 +596,7 @@ if [ -n "$xo" ]; then
args="$args persistenthome=mtd0"
fi
args="$args reset_overlay"
- xosyspath=$(echo $SYSLINUXPATH | sed -e 's;/;\;')
+ xosyspath=$(echo $SYSLINUXPATH | sed -e 's;/;\\;')
if [ ! -d $USBMNT/boot ]; then mkdir -p $USBMNT/boot ; fi
cat > $USBMNT/boot/olpc.fth <<EOF
\ Boot script for USB boot
14 years, 8 months
[PATCH] Handle the case when the kernel can't mount squashfs.img (probably a mksquashfs/running kernel mismatch).
by Alexander Boström
Hi,
The loop mount of the squashfs from rawhide images fails for me on F10,
which makes livecd-iso-to-disk exit without cleaning up (unmounting etc.).
This make iso-to-disk handle the error and also makes it do almost what
the user asked by copying the squashfs as-is. Maybe it should clean up
and exit instead, telling the user to remove --skipcompress or add
--compress after --xo or something like that...
/abo
---
tools/livecd-iso-to-disk.sh | 16 ++++++++++++----
1 files changed, 12 insertions(+), 4 deletions(-)
diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index f0c7331..4621d45 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -462,9 +462,17 @@ else
fi
livesize=$(du -s -B 1M $check | awk {'print $1;'})
if [ -n "$skipcompress" ]; then
- mount -o loop $CDMNT/LiveOS/squashfs.img $CDMNT
- livesize=$(du -s -B 1M $CDMNT/LiveOS/ext3fs.img | awk {'print $1;'})
- umount $CDMNT
+ if [ -e $CDMNT/LiveOS/squashfs.img ]; then
+ if mount -o loop $CDMNT/LiveOS/squashfs.img $CDMNT; then
+ livesize=$(du -s -B 1M $CDMNT/LiveOS/ext3fs.img | awk {'print $1;'})
+ umount $CDMNT
+ else
+ echo "WARNING: --skipcompress or --xo was specified but the currently"
+ echo "running kernel can not mount the squashfs from the ISO file
to extract"
+ echo "it. The compressed squashfs will be copied to the USB stick."
+ skipcompress=""
+ fi
+ fi
fi
free=$(df -B1M $USBDEV |tail -n 1 |awk {'print $4;'})
@@ -505,7 +513,7 @@ if [ -z "$skipcopy" ];then
[ ! -d $USBMNT/$LIVEOS ] && mkdir $USBMNT/$LIVEOS
[ -n "$keephome" -a -f "$USBMNT/$HOMEFILE" ] && mv $USBMNT/$HOMEFILE
$USBMNT/$LIVEOS/$HOMEFILE
if [ -n "$skipcompress" -a -f $CDMNT/LiveOS/squashfs.img ]; then
- mount -o loop $CDMNT/LiveOS/squashfs.img $CDMNT
+ mount -o loop $CDMNT/LiveOS/squashfs.img $CDMNT || exitclean
cp $CDMNT/LiveOS/ext3fs.img $USBMNT/$LIVEOS/ext3fs.img ||
(umount $CDMNT ; exitclean)
umount $CDMNT
elif [ -f $CDMNT/LiveOS/squashfs.img ]; then
14 years, 8 months
FC9 - Livecd problem
by poorani mani
hi,
I have mount and edit the Livecd(FC9) using following steps.
*****************************************************************************
mkdir /home/images/squashfs_image/
modprobe squashfs
mount -o loop -t squashfs /home/images/isoimage/LiveOS/squashfs.img
/mnt/squashfs
cp -dpR /mnt/squashfs/* /home/images/squashfs_image/
umount /mnt/squashfs
mount -o loop /home/images/squashfs_image/LiveOS/ext3fs.img /mnt/ext3fs
dd if=/dev/zero of=/home/images/ext3fs.img bs=1MB count=4096
mkfs.ext3 /home/images/ext3fs.img
mount -o loop /home/images/ext3fs.img /mnt/next3fs
cp -dpR /mnt/ext3fs/* /mnt/next3fs/
Now to use the squashfs file system. First we most umount the ext3 file
system. So type in:
umount /mnt/next3fs
umount /mnt/ext3fs
Next replace the new image in squashfs_image/LiveOS
cp -f /home/images/ext3fs.img /home/images/squashfs_image/LiveOS/
Then to compress type in (If you replaced the original command, then just
remove the .lzma):
mksquashfs.lzma squashfs_image/ /home/images/isoimage/LiveOS/squashfs.img
Okay once that is done the final step is create an iso image with the following
command:
mkisofs -J -r -hide-rr-moved -hide-joliet-trans-tbl -V
Fedora-9-Live-i686 -o ur_distro.iso -b isolinux/isolinux.bin -c
isolinux/boot.cat
-no-emul-boot -boot-info-table -boot-load-size 4 isoimage
*****************************************************************************
The ISO created successfully,but the original iso size is 700mb after
modified it was 1.6GB
it doesn't booted.the following error occured
********************************************************************************
"WARNING: Cannot find root file system!
Create symlink /dev/root and then exit this shell to continue the
boot sequence."
********************************************************************************
what is wrong with my steps.help me please.
Thanks
poorani
14 years, 8 months
tools/livecd-iso-to-disk.sh
by Jeremy Katz
tools/livecd-iso-to-disk.sh | 5 -----
1 file changed, 5 deletions(-)
New commits:
commit 3c14c6c41b8f541bbfa3095d6b23e39ed7f91a4f
Author: Jim Radford <radford(a)blackbean.org>
Date: Thu Mar 26 09:51:00 2009 -0700
Only the UUID of the EFI System Partition is important, not its name
EFI systems should boot fine regardless of the name of the "EFI System
Partition" as it's defined by its UUID, not its label, which the boot
flag check already takes care of.
I verfied this on a MacBook.
The check for the boot flag should probably check for :boot; to not
just boot to keep from accidentally picking up the label.
-Jim
diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 05fe080..8702936 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -191,11 +191,6 @@ checkGPT() {
partinfo=$(/sbin/parted --script -m $device "print" |grep ^$partnum:)
volname=$(echo $partinfo |cut -d : -f 6)
flags=$(echo $partinfo |cut -d : -f 7)
- if [ "$volname" != "EFI System Partition" ]; then
- echo "Partition name must be 'EFI System Partition'"
- echo "This can be set in parted or you can run with --reset-mbr"
- exitclean
- fi
if [ "$(echo $flags |grep -c boot)" = "0" ]; then
echo "Partition isn't marked bootable!"
echo "You can mark the partition as bootable with "
14 years, 8 months
[PATCH] The variable xosyspath escaped into olpc.fth. Expand it to the proper path instead.
by Alexander Boström
---
tools/livecd-iso-to-disk.sh | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index f0c7331..05fe080 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -635,8 +635,8 @@ hex rom-pa fffc7 + 4 \$number drop h# 2e19 < [if]
set-bootpath-dev
" $args" to boot-file
-" \${BOOTPATHDEV}\$xosyspath\initrd0.img" expand$ to ramdisk
-" \${BOOTPATHDEV}\$xosyspath\vmlinuz0" expand$ to boot-device
+" \${BOOTPATHDEV}$xosyspath\initrd0.img" expand$ to ramdisk
+" \${BOOTPATHDEV}$xosyspath\vmlinuz0" expand$ to boot-device
unfreeze
boot
EOF
14 years, 8 months
tools/livecd-iso-to-disk.sh
by Jeremy Katz
tools/livecd-iso-to-disk.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
New commits:
commit a54b23dd751bd4b52154a3df011f4aa1f75a4c09
Author: Alexander Boström <abo(a)stacken.kth.se>
Date: Tue Mar 24 23:50:36 2009 +0100
The variable xosyspath escaped into olpc.fth. Expand it to the proper path instead.
diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index f0c7331..05fe080 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -635,8 +635,8 @@ hex rom-pa fffc7 + 4 \$number drop h# 2e19 < [if]
set-bootpath-dev
" $args" to boot-file
-" \${BOOTPATHDEV}\$xosyspath\initrd0.img" expand$ to ramdisk
-" \${BOOTPATHDEV}\$xosyspath\vmlinuz0" expand$ to boot-device
+" \${BOOTPATHDEV}$xosyspath\initrd0.img" expand$ to ramdisk
+" \${BOOTPATHDEV}$xosyspath\vmlinuz0" expand$ to boot-device
unfreeze
boot
EOF
14 years, 8 months